package com.steerinfo.inPlantNavigation.service.impl;

import com.steerinfo.inPlantNavigation.model.IPMMSVertexEdge;
import com.steerinfo.inPlantNavigation.service.IIPMMSVertexEdgeService;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service("ipmmsVertexEdgeService")
public class IPMMSVertexEdgeServiceImpl implements IIPMMSVertexEdgeService {
    @Override
    public Map<String, List<IPMMSVertexEdge>> initVertexEdge() {

        Map<String, List<IPMMSVertexEdge>> vertexEdgeList=new HashMap<>();
        List<IPMMSVertexEdge> arrayList0=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList0Edge0=new IPMMSVertexEdge();
        ipmmsVertexList0Edge0.setVertexEdgeID(new BigDecimal(0));
        ipmmsVertexList0Edge0.setWeigh(2);
        ipmmsVertexList0Edge0.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge0.setInVertexID(new BigDecimal(1));
        arrayList0.add(ipmmsVertexList0Edge0);

        IPMMSVertexEdge ipmmsVertexList0Edge1=new IPMMSVertexEdge();
        ipmmsVertexList0Edge1.setVertexEdgeID(new BigDecimal(2));
        ipmmsVertexList0Edge1.setWeigh(5);
        ipmmsVertexList0Edge1.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge1.setInVertexID(new BigDecimal(2));
        arrayList0.add(ipmmsVertexList0Edge1);

        IPMMSVertexEdge ipmmsVertexList0Edge2=new IPMMSVertexEdge();
        ipmmsVertexList0Edge2.setVertexEdgeID(new BigDecimal(7));
        ipmmsVertexList0Edge2.setWeigh(4);
        ipmmsVertexList0Edge2.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge2.setInVertexID(new BigDecimal(3));
        arrayList0.add(ipmmsVertexList0Edge2);

        vertexEdgeList.put("0",arrayList0);

        List<IPMMSVertexEdge> arrayList1=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList1Edge0=new IPMMSVertexEdge();
        ipmmsVertexList1Edge0.setVertexEdgeID(new BigDecimal(1));
        ipmmsVertexList1Edge0.setWeigh(3);
        ipmmsVertexList1Edge0.setOutVertexID(new BigDecimal(1));
        ipmmsVertexList1Edge0.setInVertexID(new BigDecimal(0));
        arrayList1.add(ipmmsVertexList1Edge0);

        vertexEdgeList.put("1",arrayList1);


        List<IPMMSVertexEdge> arrayList2=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList2Edge0=new IPMMSVertexEdge();
        ipmmsVertexList2Edge0.setVertexEdgeID(new BigDecimal(3));
        ipmmsVertexList2Edge0.setWeigh(2);
        ipmmsVertexList2Edge0.setOutVertexID(new BigDecimal(2));
        ipmmsVertexList2Edge0.setInVertexID(new BigDecimal(1));
        arrayList2.add(ipmmsVertexList2Edge0);

        IPMMSVertexEdge ipmmsVertexList2Edge1=new IPMMSVertexEdge();
        ipmmsVertexList2Edge1.setVertexEdgeID(new BigDecimal(4));
        ipmmsVertexList2Edge1.setWeigh(10);
        ipmmsVertexList2Edge1.setOutVertexID(new BigDecimal(2));
        ipmmsVertexList2Edge1.setInVertexID(new BigDecimal(3));
        arrayList2.add(ipmmsVertexList2Edge1);

        vertexEdgeList.put("2",arrayList2);

        List<IPMMSVertexEdge> arrayList3=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList3Edge0=new IPMMSVertexEdge();
        ipmmsVertexList3Edge0.setVertexEdgeID(new BigDecimal(5));
        ipmmsVertexList3Edge0.setWeigh(8);
        ipmmsVertexList3Edge0.setOutVertexID(new BigDecimal(3));
        ipmmsVertexList3Edge0.setInVertexID(new BigDecimal(2));
        arrayList3.add(ipmmsVertexList3Edge0);

        IPMMSVertexEdge ipmmsVertexList3Edge1=new IPMMSVertexEdge();
        ipmmsVertexList3Edge1.setVertexEdgeID(new BigDecimal(7));
        ipmmsVertexList3Edge1.setWeigh(4);
        ipmmsVertexList3Edge1.setOutVertexID(new BigDecimal(3));
        ipmmsVertexList3Edge1.setInVertexID(new BigDecimal(1));
        arrayList3.add(ipmmsVertexList3Edge1);

        vertexEdgeList.put("3",arrayList3);


        return vertexEdgeList;
    }
}