package com.steerinfo.route.vo.currentLocation;

import com.steerinfo.route.util.LngLonUtil;

import java.io.Serializable;

public class CurrentLocation implements Serializable {

    private String country;
    private String mil;
    private String drc;
    private String province;
    private String city;
    private String utc;
    private String spd;
    private String lon;
    private String adr;
    private String lat;
    public void setCountry(String country) {
        this.country = country;
    }
    public String getCountry() {
        return country;
    }

    public void setMil(String mil) {
        this.mil = mil;
    }
    public String getMil() {
        return mil;
    }

    public void setDrc(String drc) {
        this.drc = drc;
    }
    public String getDrc() {
        return drc;
    }

    public void setProvince(String province) {
        this.province = province;
    }
    public String getProvince() {
        return province;
    }

    public void setCity(String city) {
        this.city = city;
    }
    public String getCity() {
        return city;
    }

    public void setUtc(String utc) {
        this.utc = utc;
    }
    public String getUtc() {
        return utc;
    }

    public void setSpd(String spd) {
        this.spd = spd;
    }
    public String getSpd() {
        return spd;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }
    public String getLon() {
        return lon;
    }

    public void setAdr(String adr) {
        this.adr = adr;
    }
    public String getAdr() {
        return adr;
    }


    public void setLat(String lat) {
        this.lat = lat;
        Double[] lngLon = LngLonUtil.gps84_To_Gcj02((Double.valueOf(this.lat) / 600000), (Double.valueOf(this.lon) / 600000));
        this.lon=lngLon[0].toString();
        this.lat=lngLon[1].toString();
    }
    public String getLat() {
        return lat;
    }

}